Google Web Toolkit (Beta)
Search this site:

# Class TreeListenerCollection

public class TreeListenerCollection
extends ArrayList
A helper class for implementers of the SourcesClickEvents interface. This subclass of <linkArrayList></linkArrayList> assumes that all objects added to it will be of type ClickListener.

## Methods

fireItemSelected(TreeItem) | Fires a "tree item selected" event to all listeners.
fireItemStateChanged(TreeItem) | Fires a "tree item state changed" event to all listeners.

## Method Detail

### fireItemSelected

public void fireItemSelected(TreeItem item)
Fires a "tree item selected" event to all listeners.

#### Parameters

item
  the tree item being selected.

### fireItemStateChanged

public void fireItemStateChanged(TreeItem item)
Fires a "tree item state changed" event to all listeners.

#### Parameters

item
  the tree item whose state has changed.